Subject: Re: bug#13482: 24.2.50; doc-view initialization fails when opening files with find-file-noselect

From: "Andreas Politz, INF|INF-I" <[email-masked]>
Date: Fri, 18 Jan 2013 15:51:35 +0100

On Fri, 18 Jan 2013 10:15:34 +0100, Tassilo Horn wrote
> "Andreas Politz, INF|INF-I" <[email-masked]> writes:
>
> > On Fri, 18 Jan 2013 08:16:40 +0100, Tassilo Horn wrote
> >> I think this is a duplicate of bug#12876.
> >
> > But this bug seems to be independent of doc-view's cache.
>
> Yes, and probably even independent of doc-view itself.  It might be
> in image-mode, or maybe in gv.el as Stefan suggested.
>
> Bye,
> Tassilo

The function `image-mode-reapply-winprops' is called from the
window-configuration-change-hook and it calls `image-mode-winprops'
with a set clean argument.  This function then proceeds to remove all
elements with a none window-live-p car, including t; which, at this
point, is the sole element of this list.

Now image-mode-winprops-alist is empty and doc-view's data is gone.

I think this is wrong and `image-mode-winprops' should leave the
default element (car = t) alone.

A. Politz